summaryrefslogtreecommitdiff
path: root/debian/tests/python3
diff options
context:
space:
mode:
authorMicah Anderson <micah@riseup.net>2014-08-11 16:33:29 -0400
committerMicah Anderson <micah@riseup.net>2014-08-11 16:33:29 -0400
commitcce638a8adf4e045ca5505afea4bda57753c31dd (patch)
treeb5e139d3359ac5b8c7b1afa8acbb1b5b6051c626 /debian/tests/python3
initial import of debian package
Diffstat (limited to 'debian/tests/python3')
-rwxr-xr-xdebian/tests/python313
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/tests/python3 b/debian/tests/python3
new file mode 100755
index 0000000..8f6b039
--- /dev/null
+++ b/debian/tests/python3
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -efu
+
+pys="$(py3versions -r 2>/dev/null)"
+
+cd "$ADTTMP"
+
+for py in $pys; do
+ echo "=== $py ==="
+ $py /usr/bin/nosetests3 -v zmq.tests 2>&1
+ echo "=== $py-dbg ==="
+ $py-dbg /usr/bin/nosetests3 -v zmq.tests 2>&1
+done